<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="mzyw.sdkdemo"
    android:versionCode="3"
    android:versionName="3.7.3" >

    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="20" />

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
	<uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.webkit.permission.PLUGIN" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.INTERNET" />
	<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.NFC" />
	<uses-feature android:name="android.hardware.nfc.hce"/>
	<uses-permission android:name="android.permission.RECORD_AUDIO"/>
	<uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>
	<uses-permission android:name="org.simalliance.openmobileapi.SMARTCARD" />
	<uses-permission android:name="android.permission.CAMERA" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name="mzyw.sdkdemo.DemoActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        
        <!-- mzsdk start -->
        <meta-data
            android:name="ZTY_GAME_ID"
            android:value="267" > <!-- 测试ID -->
        </meta-data>
        <meta-data
            android:name="ZTY_GAME_NAME"
            android:value="@string/app_name" >
        </meta-data>
        <!-- 渠道号 -->
        <meta-data
            android:name="ZTY_PACKET_ID"
            android:value="100267001" />
        <meta-data
            android:name="ZTY_DEBUG"
            android:value="1" />
        
        <!-- 登录页面 -->
        <activity
            android:name="zty.sdk.activity.LoginActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen" >
        </activity>
        <!-- 登录页面 -->
        
        
        <!-- 支付页面 -->
        <activity
            android:name="zty.sdk.activity.PaymentActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:screenOrientation="landscape"
            android:launchMode="singleTop"
            android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen" />
        <!-- 支付页面 -->
        
        
         
        <!-- 银联支付 -->
        <uses-library android:name="org.simalliance.openmobileapi" android:required="false"/>
			<activity
				android:name="com.unionpay.uppay.PayActivity"
				android:label="@string/app_name"
				android:screenOrientation="portrait"
				android:configChanges="orientation|keyboardHidden"
				android:excludeFromRecents="true"
				android:windowSoftInputMode="adjustResize"/>

			 <activity
			    android:name="com.unionpay.UPPayWapActivity"
				android:configChanges="orientation|keyboardHidden"
			    android:screenOrientation="portrait"
			    android:windowSoftInputMode="adjustResize"/>
        <!-- 银联支付 -->
        
        
        
        <!-- 阿里支付 -->
        <activity
            android:name="com.alipay.sdk.app.H5PayActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:exported="false"
            android:screenOrientation="behind"
            android:windowSoftInputMode="adjustResize|stateHidden" >
        </activity>
        <!-- 阿里支付 -->
        
        
        <!-- 微信威富通start -->
        <activity
            android:name="com.switfpass.pay.activity.QQWapPayWebView"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <!-- 微信威富通end -->
        
        
        
        <!-- 微信现在支付 -->
        <activity
            android:name="com.ipaynow.wechatpay.plugin.inner_plugin.wechat_plugin.activity.WeChatNotifyActivity"
            android:configChanges="orientation|keyboardHidden|keyboard|smallestScreenSize|locale|screenLayout"
            android:screenOrientation="behind"
            android:theme="@android:style/Theme.Translucent" >
        </activity>
		<!-- 微信现在支付 -->
		
		
		
		
		<!-- 汇元支付 -->
       <activity
			android:name="com.heepay.plugin.activity.WeChatNotityActivity"
			android:configChanges="orientation|keyboardHidden|screenSize"
		    android:screenOrientation="behind"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" >
        </activity>
        <!-- 汇元支付 -->
        
        
        
        
        <!-- 掌支付和拓建源公用 -->
        <activity
            android:name="com.tbat.sdk.ThirdActivity"
            android:configChanges="screenSize|orientation"
            android:theme="@android:style/Theme.Translucent" />
        <!-- 对于微信，需要添加 -->
        <activity
            android:name="com.zwxpay.android.h5_library.WebViewActivity"
            android:screenOrientation="portrait" />
        <!-- 掌支付和拓建源公用 -->
        
        
        <!-- 注册新活动 -->
        <activity 
            android:name="zty.sdk.photo.ProcessActivity">
        </activity>
        
        <activity 
            android:name="zty.sdk.image.GalleryActivity">
        </activity>
        
        <activity 
            android:name="zty.sdk.image.AlbumActivity">
        </activity>
        
        <activity 
            android:name="zty.sdk.image.ImageFile">
        </activity>
        
        <activity 
            android:name="zty.sdk.image.ShowAllPhoto">
        </activity>
        
    </application>

</manifest>